@techreport{tor-2012-03-002,
  author = {Steven J. Murdoch},
  title = {Datagram Testing Plan},
  institution = {The Tor Project},
  number = {2012-03-002},
  year = {2012},
  month = {March},
  url = {https://research.torproject.org/techreports/datagram-testing-plan-2012-03-16.pdf}
}

@techreport{tor-2011-11-001,
  author = {Steven J. Murdoch},
  title = {Comparison of {Tor} Datagram Designs},
  institution = {The Tor Project},
  number = {2011-11-001},
  year = {2011},
  month = {November},
  url = {https://research.torproject.org/techreports/datagram-comparison-2011-11-07.pdf}
}

